<template>
  <div class="app">
    <v-container fluid class="pa-0" relative>
      <v-layout row wrap>
        <v-flex sm12 md2>
          <Sidebar :navItems="nav"/>
        </v-flex>
        <v-flex sm12 md10>
          <AppHeader/>
          <div class="app-body">
            <v-layout row wrap>
              <v-flex xs12 sm6 md3 order-md4 order-sm2>
                <v-card dark tile flat color="red darken-2">
                  <v-card-text>#1</v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm6 md3 order-md3 order-sm1>
                <v-card dark tile flat color="deep-orange lighten-1">
                  <v-card-text>#2</v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm6 md3 order-md2 order-sm4>
                <v-card dark tile flat color="deep-orange darken-3">
                  <v-card-text>#3</v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm6 md3 order-md1 order-sm3>
                <v-card dark tile flat color="deep-orange">
                  <v-card-text>#4</v-card-text>
                </v-card>
              </v-flex>
            </v-layout>
            <v-layout row wrap class="mt-4">
              <v-flex xs12 sm6 md4 order-md4 order-sm2>
                <v-card dark tile flat color="red darken-2">
                  <v-card-text>#1</v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm6 md8 order-md3 order-sm1>
                <v-card dark tile flat color="deep-orange lighten-1">
                  <v-card-text>#2</v-card-text>
                </v-card>
              </v-flex>
            </v-layout>
            <v-layout row wrap class="mt-4">
              <v-flex xs12 sm6 md6 order-md4 order-sm2>
                <v-card dark tile flat color="red darken-2">
                  <v-card-text>#1</v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm6 md6 order-md3 order-sm1>
                <v-card dark tile flat color="deep-orange lighten-1">
                  <v-card-text>#2</v-card-text>
                </v-card>
              </v-flex>
            </v-layout>
            <v-layout row>
              <!--<h1>Lorem ispum</h1>-->
              <router-view></router-view>
            </v-layout>
          </div>
          <AppFooter/>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
  import nav from '../_nav'
  import { Header as AppHeader, Sidebar, Aside as AppAside, Footer as AppFooter} from '../components'
  export default {
    name: 'Full',
    components: {
      AppHeader,
      Sidebar,
      AppAside,
      AppFooter
    },
    props: {

    },
    data () {
      return {
        nav: nav.items
      }
    },
    computed: {
      name () {
        return this.$route.name
      }
    },
    methods: {

    }
  }
</script>

<style>
#app {
  margin-top: 0;
}
</style>
